# vim: set ft=spec: -*- rpm-spec -*-
# $Id: i386-mingw32msvc-gettext,v 1.10 2004/10/04 08:12:53 raorn Exp $

%mingw_package

%define pkgname gettext

Name: %cross_arch-%pkgname
Version: 0.14.1
Release: alt4

Summary: GNU libraries and utilities for producing multi-lingual messages
License: LGPL
Group: System/Base
Url: http://www.gnu.org/software/%pkgname/

BuildArch: noarch

Source: ftp://ftp.gnu.org/gnu/%pkgname/%pkgname-%version.tar.bz2

Patch1: %pkgname-0.14.1-alt-gettextize-quiet.patch
Patch2: %pkgname-0.14.1-alt-autopoint-cvs.patch

BuildPreReq: i386-mingw32msvc-devel >= 0.0.2

# Automatically added by buildreq on Tue May 04 2004 (-bi)
BuildRequires: i386-mingw32msvc-binutils i386-mingw32msvc-gcc i386-mingw32msvc-gcc-c++ i386-mingw32msvc-runtime i386-mingw32msvc-libiconv-devel

BuildPreReq: autoconf_2.5 automake_1.7
%set_autoconf_version 2.5
%set_automake_version 1.7

%package -n %cross_arch-libintl
Summary: libintl DLL for %cross_arch target
Group: System/Libraries
PreReq: %cross_arch-base

%package -n %cross_arch-libintl-devel
Summary: Header files for developing apps which will use libintl
Group: Development/C
PreReq: %cross_arch-base
Conflicts: %cross_arch-libintl < %version-%release
Conflicts: %cross_arch-libintl > %version-%release

%package -n %cross_arch-libintl-devel-static
Summary: Static libintl library for %cross_arch target
Group: Development/C
PreReq: %cross_arch-base
Requires: %cross_arch-libintl-devel = %version-%release

%description
The GNU %pkgname provides a set of tools and documentation for producing
multi-lingual messages in programs.  Tools include a set of conventions about
how programs should be written to support message catalogs, a directory and
file naming organization for the message catalogs, a runtime library which
supports the retrieval of translated messages, and stand-alone programs for
handling the translatable and the already translated strings.  Gettext provides
an easy to use library and tools for creating, using, and modifying natural
language catalogs and is a powerful and simple method for internationalizing
programs.

%description -n %cross_arch-libintl
This package contains libintl DLL built for %cross_arch target.

%description -n %cross_arch-libintl-devel
libintl development files for crosscompiling to
%cross_arch target.

%description -n %cross_arch-libintl-devel-static
Static version of libintl library for %cross_arch target.

%prep
%setup -q -n %pkgname-%version
%patch1 -p1
%patch2 -p1

%build
%__cp -f %_datadir/libtool/aclocal/libtool.m4 config/m4/libtool.m4
pushd gettext-runtime
%__libtoolize --copy --force
%__aclocal -I m4 -I ../autoconf-lib-link/m4 -I ../gettext-tools/m4 -I ../config/m4
%__autoconf --force
%__automake --copy --force-missing
%configure \
	--prefix=%_archprefix \
	--includedir=%_archincludedir \
	--libdir=%_archlibdir \
	--bindir=%_archbindir \
	--disable-csharp \
	--disable-libasprintf \
	--enable-relocatable \
	--with-included-gettext \
	--enable-shared \
	--enable-static \
	%cross_env
%make_build
popd

%install
pushd gettext-runtime
%make_install \
	DESTDIR=%buildroot \
	install
popd
%cross_arch-strip --strip-unneeded %buildroot%_archbindir/*.dll
%cross_arch-strip --strip-unneeded %buildroot%_archlibdir/*.dll.a

%files -n %cross_arch-libintl
%_archbindir/libintl*.dll

%files -n %cross_arch-libintl-devel
%_archlibdir/libintl*.dll.a
%_archincludedir/libintl.h

%files -n %cross_arch-libintl-devel-static
%_archlibdir/libintl*.a
%exclude %_archlibdir/libintl*.dll.a

%changelog
* Sun Oct 03 2004 Sir Raorn <raorn@altlinux.ru> 0.14.1-alt4
- noarch
- Move static libraries in devel-static subpackage
- Some hackarounds, versioned builddeps

* Mon Sep 20 2004 Sir Raorn <raorn@altlinux.ru> 0.14.1-alt3
- Rebuilt with i386-mingw32msvc-devel

* Wed May 05 2004 Sir Raorn <raorn@altlinux.ru> 0.14.1-alt2.2
- *-libintl3 -> *-libintl
- Strip all *.dll and *.dll.a
- Built with libiconv

* Tue May 04 2004 Sir Raorn <raorn@altlinux.ru> 0.14.1-alt2.1
- Built for %cross_arch target (libintl only)

* Wed Mar 10 2004 Dmitry V. Levin <ldv@altlinux.org> 0.14.1-alt2
- Updated build dependencies.

* Thu Feb 26 2004 Dmitry V. Levin <ldv@altlinux.org> 0.14.1-alt1
- Updated to 0.14.1
- Updated patches.
- Removed obsolete or merged upstream patches:
  rh-jbj
  alt-m4-compat
  alt-aclocaldir
  alt-libobjs
  alt-amproglex
  rh-gettextize
- Enabled packaging of emacs site-start.d files again.
- Do not build static libintl library by default.

* Tue Dec 09 2003 Dmitry V. Levin <ldv@altlinux.org> 0.11.5-alt13
- Do not package .la files.
- Disabled packaging of emacs site-start.d files for a while.

* Fri Dec 13 2002 Dmitry V. Levin <ldv@altlinux.org> 0.11.5-alt12
- gettextize: fixed AM_GNU_GETTEXT_VERSION corruption (rh).
- msghack: moved to -tools-python subpackage.

* Sun Dec 08 2002 Dmitry V. Levin <ldv@altlinux.org> 0.11.5-alt11
- gettext.m4: relaxed error reporting (introduced in -alt10).
- Specfile cleanup (removed old unneeded hacks).

* Thu Nov 21 2002 Dmitry V. Levin <ldv@altlinux.org> 0.11.5-alt10
- gettext.m4: removed broken "compatibility" patch
  (thanks to Sergey Pinaev).
- autopoint: fixed cvs support.
- %name-po-mode-start.el: fixed autoload (#0001614).

* Tue Oct 29 2002 Dmitry V. Levin <ldv@altlinux.org> 0.11.5-alt9
- Relocated archive.tar.gz from %_datadir/%name/intl/ to
  %_datadir/%name/ in order to repair autopoint.

* Sat Oct 26 2002 Dmitry V. Levin <ldv@altlinux.org> 0.11.5-alt8
- gettext.m4: fix some compatibility issues.

* Fri Oct 25 2002 Dmitry V. Levin <ldv@altlinux.org> 0.11.5-alt7
- Fixed gettext-tools subpackage:
  + moved java support to separate subpackage;
  + removed cvs dependence.

* Thu Oct 24 2002 Dmitry V. Levin <ldv@altlinux.org> 0.11.5-alt6
- Fixed texinfo installation scripts (reported by Alexander Bokovoy).

* Wed Oct 23 2002 Dmitry V. Levin <ldv@altlinux.org> 0.11.5-alt5
- Added "quiet" option to gettextize.
- Resplit packages:
  gettext-base + gettext + gettext-devel -> gettext + gettext-tools.

* Tue Oct 15 2002 Dmitry V. Levin <ldv@altlinux.org> 0.11.5-alt4
- Updated %post/%postun scripts.
- Fixed library symlinks generation.
- Added %_libdir/gettext to gettext subpackage.
- Relocated all libraries from /lib/ back to %_libdir/.
- Relocated all binaries from /bin/ back to %_bindir/.
- Additional convention enforcement on patch file names.

* Sun Oct 13 2002 Alexey Voinov <voins@voins.program.ru> 0.11.5-alt3.1
- autopoint added to filelist of gettext-devel

* Sun Oct 13 2002 Alexey Voinov <voins@voins.program.ru> 0.11.5-alt3
- new version(0.11.5)
- INSTOBJEXT patch updated to 0.11.5
- libobjs patch added (fixes use of LIBOBJS substitution in configure.in)
- amproglex patch added (hack to please automake-1.6)
- libintl version increased
- html docs included in gettext-devel

* Tue Mar 19 2002 Dmitry V. Levin <ldv@alt-linux.org> 0.10.40-alt3
- Added buildreq substitution rules.

* Fri Mar 15 2002 Dmitry V. Levin <ldv@alt-linux.org> 0.10.40-alt2
- Updated emacs po-mode (0000554).
- Preparing to libintl2:
  + renamed libintl subpackage to libintl1;
  + moved libraries from gettext-devel to libintl-* subpackages.

* Wed Sep 19 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.10.40-alt1
- 0.10.40

* Mon Aug 27 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.10.39-alt3
- Rebuilt.

* Tue Aug 21 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.10.39-alt2
- Added msghack utility (rh).

* Tue Jul 31 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.10.39-alt1
- 0.10.39

* Fri May 25 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.10.38-alt1
- 0.10.38

* Sun May 06 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.10.37-alt2
- Resurrected INSTOBJEXT from %name-0.10.35.

* Thu Apr 26 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.10.37-alt1
- 0.10.37

* Sat Nov 04 2000 Dmitry V. Levin <ldv@fandra.org> 0.10.35-ipl16mdk
- Merged RH patches.
- RE adaptions.

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.10.35-16mdk
- automatically added packager tag

* Tue Aug 22 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.10.35-15mdk
- bugfixed gettextize when headers are not there
  thanks to <rchaillat@mandrakesoft.com>

* Tue Jul 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.10.35-14mdk
- macros

* Fri May  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.10.35-13mdk
- quick patch to have it work!

* Sat Apr 08 2000 John Buswell <johnb@mandrakesoft.com> 0.10.35-12mdk
- added devel package

* Thu Mar 30 2000 John Buswell <johnb@mandrakesoft.com> 0.10.35-11mdk
- fixed groups
- Removed version number from spec filename
- spec-helper

* Tue Nov 02 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rebuild for new environment

* Wed Jun 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- s/arch-RedHat/arch-Mandrake/
- msghack updates.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 8)

* Mon Mar 08 1999 Cristian Gafton <gafton@redhat.com>
- added patch for misc hacks to facilitate rpm translations

* Thu Dec 03 1998 Cristian Gafton <gafton@redhat.com>
- patch to allow to build on ARM

* Wed Sep 30 1998 Jeff Johnson <jbj@redhat.com>
- add Emacs po-mode.el files.

* Sun Sep 13 1998 Cristian Gafton <gafton@redhat.com>
- include the aclocal support files

* Fri Sep  3 1998 Bill Nottingham <notting@redhat.com>
- remove devel package (functionality is in glibc)

* Tue Sep  1 1998 Jeff Johnson <jbj@redhat.com>
- update to 0.10.35.

* Mon Jun 29 1998 Jeff Johnson <jbj@redhat.com>
- add gettextize.
- create devel package for libintl.a and libgettext.h.

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sun Nov 02 1997 Cristian Gafton <gafton@redhat.com>
- added info handling
- added misc-patch (skip emacs-lisp modofications)

* Sat Nov 01 1997 Erik Troan <ewt@redhat.com>
- removed locale.aliases as we get it from glibc now
- uses a buildroot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- Built against glibc


